import * as z from 'zod';
export const LabRxTemplateGroupByResultSchema = z.array(z.object({
  id: z.number().int(),
  userId: z.number().int(),
  name: z.string(),
  labName: z.string(),
  labPhone: z.string(),
  labFax: z.string(),
  labAddress: z.string(),
  labAccount: z.string(),
  caseType: z.string(),
  material: z.string(),
  instructions: z.string(),
  sortOrder: z.number().int(),
  createdAt: z.date(),
  updatedAt: z.date(),
  _count: z.object({
    id: z.number(),
    userId: z.number(),
    name: z.number(),
    labName: z.number(),
    labPhone: z.number(),
    labFax: z.number(),
    labAddress: z.number(),
    labAccount: z.number(),
    caseType: z.number(),
    material: z.number(),
    instructions: z.number(),
    sortOrder: z.number(),
    createdAt: z.number(),
    updatedAt: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable(),
    sortOrder: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable(),
    sortOrder: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    labName: z.string().nullable(),
    labPhone: z.string().nullable(),
    labFax: z.string().nullable(),
    labAddress: z.string().nullable(),
    labAccount: z.string().nullable(),
    caseType: z.string().nullable(),
    material: z.string().nullable(),
    instructions: z.string().nullable(),
    sortOrder: z.number().int().nullable(),
    createdAt: z.date().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    labName: z.string().nullable(),
    labPhone: z.string().nullable(),
    labFax: z.string().nullable(),
    labAddress: z.string().nullable(),
    labAccount: z.string().nullable(),
    caseType: z.string().nullable(),
    material: z.string().nullable(),
    instructions: z.string().nullable(),
    sortOrder: z.number().int().nullable(),
    createdAt: z.date().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional()
}));